import { world, system } from '@minecraft/server';

const miningEffects = [
    'slowness 1 10 true',
    'blindness 1 10 true',
    'weakness 1 10 true',
    'mining_fatigue 1 10 true'
];

const pickaxeTypes = [
    { type: 'wooden', mining: 1 },
    { type: 'stone', mining: 4 },
    { type: 'iron', mining: 7 },
    { type: 'golden', mining: 4 },
    { type: 'diamond', mining: 12 },
    { type: 'netherite', mining: 16 }
];

pickaxeTypes.forEach(pickaxe => {
    system.runInterval(() => {
        miningEffects.forEach(effect => {
            world.getDimension('overworld').runCommandAsync(
                `effect @a[scores={mining=..${pickaxe.mining}},hasitem={item=${pickaxe.type}_pickaxe, location=slot.weapon.mainhand}] ${effect}`
            ).catch(() => {});
        });
    }, 0);
});


