import { world, system } from "@minecraft/server";

const ldeffect = [
    'slowness 1 10 true',
    'blindness 1 10 true',
    'weakness 1 10 true',
    'mining_fatigue 1 10 true'
];

const swordTypes = [
    { type: 'wooden', attack: 4 },
    { type: 'stone', attack: 5 },
    { type: 'iron', attack: 6 },
    { type: 'golden', attack: 4 },
    { type: 'diamond', attack: 7 },
    { type: 'netherite', attack: 8 }
];

swordTypes.forEach(sword => {
    system.runInterval(() => {
        ldeffect.forEach(effect => {
            world.getDimension('overworld').runCommandAsync(
                `effect @a[scores={attack=..${sword.attack}},hasitem={item=${sword.type}_sword, location=slot.weapon.mainhand}] ${effect}`
            ).catch(() => {});
        });
    }, 0);
});